FC2ブログ
Visual Studio 2017 が使用するnode.js を新しいバージョンにする
Visual Studio 2017 をインストールすると自動で入るnode.js のバージョンは5.4.1 だったかな?
ちょっと古い。
なので、package.json で新しいライブラリの依存があると、復元時に警告がでる。

よろしくないので、node.js をアップデートしようと思ったのだがそれっぽいのがない。
調査不足スマヌ('A`)

いろいろと触ってみたら、 メニュー -> ツール -> オプション を開く。
プロジェクトおよびソリューション -> Web Package Management -> 外部Webツールをクリック。
node.js を参照する順序のパスが指定できるので、別個node.jsをインストールして、環境変数のPATHにnode.jsの場所が指定されている場合、$(PATH) を $(VSINSTALLDIR)\Web\External より上にすると$(PATH)にあるnode.js が優先して使われるようになる。

nodist とか使ってバージョンを切り替えても大丈夫だと思う。たぶん。。。
スポンサーサイト
TOP
プロフィール

hssamurai

Author:hssamurai
FC2ブログへようこそ!

最新記事
最新コメント

最新トラックバック

月別アーカイブ
カテゴリ